
package de.ivu.elect.presentation.niederschrift.menu;

import de.ivu.elect.business.niederschrift.entity.NiederschriftKorrekturConstants;
import de.ivu.elect.business.security.UseCasePermission;
import de.ivu.elect.presentation.niederschrift.NiederschriftKorrekturCreateView;

public class NiederschriftKorrekturCreateMenuItemEntry extends AbstractNiederschriftKorrekturMenuItemEntry {

  private static final long serialVersionUID = 1L;

  public NiederschriftKorrekturCreateMenuItemEntry() {
    super();
  }

  @Override
  protected UseCasePermission getUseCasePermission() {
    return UseCasePermission.NIEDERSCHRIFT_KORREKTUR_CREATE;
  }

  @Override
  public String getTargetViewId() {
    return NiederschriftKorrekturCreateView.VIEW_ID;
  }

  @Override
  protected String getLabel() {
    return getMessage(getLabelKey(), getMessage(NiederschriftKorrekturConstants.MESSAGE_KEY_ENTITY_EINZAHL));
  }

  @Override
  public String getLabelKey() {
    return "niederschrift.korrektur.create.menu.item.label";
  }

  @Override
  public String getIcon() {
    return getIcons().getIconEdit();
  }
}
